net.sf.jasperreports.crosstabs.base

## Class JRBaseCrosstabCell

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.JRBaseCrosstabCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCrosstabCell, JRCloneable
  Direct Known Subclasses:
    JRDesignCrosstabCell

      public class JRBaseCrosstabCell
      extends java.lang.Object
      implements JRCrosstabCell, java.io.Serializable

  Base read-only implementation of `JRCrosstabCell`.
  Version:
    $Id: JRBaseCrosstabCell.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `columnTotalGroup`
    `protected JRCellContents` | `contents`
    `protected java.lang.Integer` | `height`
    `protected java.lang.String` | `rowTotalGroup`
    `protected java.lang.Integer` | `width`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseCrosstabCell()`
    `` | `JRBaseCrosstabCell(JRCrosstabCell crosstabCell, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getColumnTotalGroup()` Returns the name of the column group if the crosstab cell corresponds to a total column and `null` otherwise.
    `JRCellContents` | `getContents()` Returns the cell contents.
    `java.lang.Integer` | `getHeight()` Returns the height of the cell.
    `java.lang.String` | `getRowTotalGroup()` Returns the name of the row group if the crosstab cell corresponds to a total row and `null` otherwise.
    `java.lang.Integer` | `getWidth()` Returns the width of the cell.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          protected java.lang.Integer width

    - #### height

          protected java.lang.Integer height

    - #### rowTotalGroup

          protected java.lang.String rowTotalGroup

    - #### columnTotalGroup

          protected java.lang.String columnTotalGroup

    - #### contents

          protected JRCellContents contents

  - ### Constructor Detail

    - #### JRBaseCrosstabCell

          protected JRBaseCrosstabCell()

    - #### JRBaseCrosstabCell

          public JRBaseCrosstabCell(JRCrosstabCell crosstabCell,
                            JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getRowTotalGroup

          public java.lang.String getRowTotalGroup()

      Description copied from interface: `JRCrosstabCell`
      Returns the name of the row group if the crosstab cell corresponds to a total row and `null` otherwise.
      Specified by:
        `getRowTotalGroup` in interface `JRCrosstabCell`
      Returns:
        the name of the total row group this cell corresponds to

    - #### getColumnTotalGroup

          public java.lang.String getColumnTotalGroup()

      Description copied from interface: `JRCrosstabCell`
      Returns the name of the column group if the crosstab cell corresponds to a total column and `null` otherwise.
      Specified by:
        `getColumnTotalGroup` in interface `JRCrosstabCell`
      Returns:
        the name of the total column group this cell corresponds to

    - #### getContents

          public JRCellContents getContents()

      Description copied from interface: `JRCrosstabCell`
      Returns the cell contents.

      Should never return null, but empty cell contents instead.

      Specified by:
        `getContents` in interface `JRCrosstabCell`
      Returns:
        the cell contents

    - #### getHeight

          public java.lang.Integer getHeight()

      Description copied from interface: `JRCrosstabCell`
      Returns the height of the cell.

      The height of the cell can be unspecified. The height used for the cell is computed base on the rules described `here`.

      Specified by:
        `getHeight` in interface `JRCrosstabCell`
      Returns:
        the width of the cell

    - #### getWidth

          public java.lang.Integer getWidth()

      Description copied from interface: `JRCrosstabCell`
      Returns the width of the cell.

      The width of the cell can be unspecified. The width used for the cell is computed base on the rules described `here`.

      Specified by:
        `getWidth` in interface `JRCrosstabCell`
      Returns:
        the width of the cell

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com